Description

You have to call this method when you want to cancel an unsubscription request made by user in DruID Identity (CIAM).

You will need a user logged with access token. You can not perform this operation with no logged user

Please, read first: https://dru-id.com/developers/apis/oauth-2/ to learn about Oauth2 protocol and the meaning of each token.

Endpoint URL:

DELETE https://{{graph_host}}/activityid/v1/user/unsubscribe

Request parameters

ParameterDescriptionTypeRequired
Authorization“Bearer access_token” Literal text Bearer followed by access_token that is the user access token obtained from /oauth2/token endpointstringyes
Content-TypeThe type of content that will be used for requests to be JSONstringyes
AcceptThe type of content that will be used for responses to be JSONstringyes
FromName of the entrypointstringyes
Accept-LanguageLanguage for this requestLocaleno

Query string parameters

ParameterDescriptionTypeRequiredDefault value

Request Example

ParameterDescriptionTypeRequiredValue
actor.idObject ID of user who request actionstringyesobject_id
actor.objectTypeType of the object which represents the actor.stringyes‘user’
verbVerb used for actionstringyes‘retract’
source.idType of device doing the activitystringyes‘unknown’ | ‘pc’ | ‘mobile’ | ‘tablet’ | ‘game_console’ | ‘itv’
source.objectTypeType of sourcestringyes‘device’

Response examples

Response: Request success (Accepted)

Response codes

CodeTypeDescription
400ErrorBad Request: The request could not be understood by the server due to malformed syntax
401ErrorUnauthorized: authentication is required and has failed or has not yet been provided (token is invalid, etc)
428ErrorPrecondition required: User need to configure MFA or needs to send a MFA code. Check the MFA API
500ErrorInternal Server Error: The server encountered an unexpected condition which prevented it from fulfilling the request
504ErrorGateway TimeoutService can not contact with oauth server to do some internal operations
202SuccessUser unsubcription has been cancelled